# Class SchematronSchemaReaderFactory

java.lang.Object
com.thaiopensource.validate.schematron.SchematronSchemaReaderFactory

All Implemented Interfaces:
  `SchemaReaderFactory`, `TransformerFactoryInitializer`

Direct Known Subclasses:
  `NewSaxonSchemaReaderFactory`, `OldSaxonSchemaReaderFactory`, `XalanSchemaReaderFactory`

public class SchematronSchemaReaderFactory extends Object implements SchemaReaderFactory, TransformerFactoryInitializer

## Constructor Summary

Constructors
Constructor
Description
`SchematronSchemaReaderFactory()`

## Method Summary

Modifier and Type
Method
Description
`SchemaReader`
`createSchemaReader(String namespaceUri)`
Creates a SchemaReader for a particular schema language.
`Option`
`getOption(String uri)`
`void`
`initTransformerFactory(TransformerFactory factory)`
`SAXTransformerFactory`
`newTransformerFactory()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SchematronSchemaReaderFactory

public SchematronSchemaReaderFactory()

## Method Details

### createSchemaReader

public SchemaReader createSchemaReader(String namespaceUri)
Description copied from interface: `SchemaReaderFactory`
Creates a SchemaReader for a particular schema language.

Specified by:
  `createSchemaReader` in interface `SchemaReaderFactory`
Parameters:
  `namespaceUri` - a String identifing the schema language; must not be `null`; for schema languages that use XML, this should be the namespace URI of the root element if the root element has a non-absent namespace URI
Returns:
  a SchemaReader for the specified schema language, or `null`, if this SchemaReaderFactory cannot create a SchemaReader for the specified schema language

### getOption

public Option getOption(String uri)

Specified by:
  `getOption` in interface `SchemaReaderFactory`

### newTransformerFactory

public SAXTransformerFactory newTransformerFactory()

### initTransformerFactory

public void initTransformerFactory(TransformerFactory factory)

Specified by:
  `initTransformerFactory` in interface `TransformerFactoryInitializer`